Package org.eclipse.nebula.jface.gridviewer

## Class CheckEditingSupport

- java.lang.Object
- - EditingSupport
  - - org.eclipse.nebula.jface.gridviewer.CheckEditingSupport

    public abstract class CheckEditingSupport
    extends EditingSupport

.

### Constructor Summary

Constructors
`CheckEditingSupport​(ColumnViewer viewer)` Checkbox editing support.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected boolean` `canEdit​(java.lang.Object element)`
`protected CellEditor` `getCellEditor​(java.lang.Object element)`
`protected java.lang.Object` `getValue​(java.lang.Object element)`
`abstract void` `setValue​(java.lang.Object element, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckEditingSupport

    public CheckEditingSupport​(ColumnViewer viewer)

Checkbox editing support.

Parameters:
  `viewer` - column to add check box support for.

### Method Detail

#### canEdit

    protected boolean canEdit​(java.lang.Object element)

#### getCellEditor

    protected CellEditor getCellEditor​(java.lang.Object element)

#### getValue

    protected java.lang.Object getValue​(java.lang.Object element)

#### setValue

    public abstract void setValue​(java.lang.Object element,
                                  java.lang.Object value)